targets:
  $default:
    builders:
      code_gen_demo|mark_builder:
        enabled: true


builders:

  user:
    import: "package:gmalpha_flutter/Annotations/ServiceGenerator.dart"
    builder_factories: ["userBuilder"]
    build_extensions: {'.dart': ['.user.dart'] }
    auto_apply: root_package
    build_to: source

  Router:
    import: "package:gmalpha_flutter/Annotations/ServiceGenerator.dart"
    builder_factories: ["routerBuilder"]
    build_extensions: {'.dart': ['.rout.dart'] }
    auto_apply: root_package
    runs_before: ['routerCenter']
    build_to: source


  routerCenter:
    import: "package:gmalpha_flutter/Annotations/ServiceGenerator.dart"
    builder_factories: ["routerCenterBuilder"]
    build_extensions: {'.dart': ['.mark.dart'] }
    auto_apply: root_package
    build_to: source

  api_generator:
    import: "package:gmalpha_flutter/Annotations/ServiceGenerator.dart"
    builder_factories: ["apiBuilder"]
    build_extensions: {".dart": [".serv.dart"]}
    auto_apply: all_packages
    build_to: source
    applies_builders: ["source_gen|combining_builder"]
#
#  json:
#    import: "package:gmalpha_flutter/Annotations/ServiceGenerator.dart"
#    builder_factories: ["jsonBuilder"]
#    build_extensions: {".dart": [".json.dart"]}
#    auto_apply: all_packages
#    build_to: source
#    applies_builders: ["source_gen|combining_builder"]



